Subject: Re: [PATCH V1 05/10] arch/kmap_atomic: Consolidate duplicate code

From: Al Viro <[email-masked]>
Date: Fri, 1 May 2020 03:09:12 +0100

On Thu, Apr 30, 2020 at 01:38:40PM -0700, [email-masked] wrote:
> From: Ira Weiny <[email-masked]>
> 
> Every arch has the same code to ensure atomic operations and a check for
> !HIGHMEM page.
> 
> Remove the duplicate code by defining a core kmap_atomic() which only
> calls the arch specific kmap_atomic_high() when the page is high memory.

Err....  AFAICS, you've just silently changed the semantics for
kmap_atomic_prot() here.  And while most of the callers are converted,
drivers/gpu/drm/ttm/ttm_bo_util.c one is not, so at the very least it's
a bisect hazard...

And I would argue that having kmap_atomic() differ from kmap_atomic_prot()
wrt disabling preempt is asking for trouble.